/* $XFree86: xc/lib/GL/glx/indirect.h,v 1.3 2001/03/21 16:04:39 dawes Exp $ */
/**************************************************************************

Copyright 1998-1999 Precision Insight, Inc., Cedar Park, Texas.
All Rights Reserved.

Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sub license, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice (including the
next paragraph) shall be included in all copies or substantial portions
of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.
IN NO EVENT SHALL PRECISION INSIGHT AND/OR ITS SUPPLIERS BE LIABLE FOR
ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

**************************************************************************/

/*
 * Authors:
 *   Kevin E. Martin <kevin@precisioninsight.com>
 *
 */

#ifndef _INDIRECT_H_
#define _INDIRECT_H_

#include "indirect_wrap.h"

#ifndef hidden
#define hidden
#endif

/* NOTE: This file could be automatically generated */

hidden void __indirect_glAccum(GLenum op, GLfloat value);
hidden void __indirect_glAlphaFunc(GLenum func, GLclampf ref);
hidden GLboolean __indirect_glAreTexturesResident(GLsizei n, const GLuint *textures, GLboolean *residences);
hidden GLboolean __indirect_glAreTexturesResidentEXT(GLsizei n, const GLuint *textures, GLboolean *residences);
hidden void __indirect_glArrayElement(GLint i);
hidden void __indirect_glBegin(GLenum mode);
hidden void __indirect_glBindTexture(GLenum target, GLuint texture);
hidden void __indirect_glBitmap(GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte *bitmap);
hidden void __indirect_glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
hidden void __indirect_glBlendEquation(GLenum mode);
hidden void __indirect_glBlendFunc(GLenum sfactor, GLenum dfactor);
hidden void __indirect_glCallList(GLuint list);
hidden void __indirect_glCallLists(GLsizei n, GLenum type, const GLvoid *lists);
hidden void __indirect_glClear(GLbitfield mask);
hidden void __indirect_glClearAccum(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha);
hidden void __indirect_glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
hidden void __indirect_glClearDepth(GLclampd depth);
hidden void __indirect_glClearIndex(GLfloat c);
hidden void __indirect_glClearStencil(GLint s);
hidden void __indirect_glClipPlane(GLenum plane, const GLdouble *equation);
hidden void __indirect_glColor3b(GLbyte red, GLbyte green, GLbyte blue);
hidden void __indirect_glColor3bv(const GLbyte *v);
hidden void __indirect_glColor3d(GLdouble red, GLdouble green, GLdouble blue);
hidden void __indirect_glColor3dv(const GLdouble *v);
hidden void __indirect_glColor3f(GLfloat red, GLfloat green, GLfloat blue);
hidden void __indirect_glColor3fv(const GLfloat *v);
hidden void __indirect_glColor3i(GLint red, GLint green, GLint blue);
hidden void __indirect_glColor3iv(const GLint *v);
hidden void __indirect_glColor3s(GLshort red, GLshort green, GLshort blue);
hidden void __indirect_glColor3sv(const GLshort *v);
hidden void __indirect_glColor3ub(GLubyte red, GLubyte green, GLubyte blue);
hidden void __indirect_glColor3ubv(const GLubyte *v);
hidden void __indirect_glColor3ui(GLuint red, GLuint green, GLuint blue);
hidden void __indirect_glColor3uiv(const GLuint *v);
hidden void __indirect_glColor3us(GLushort red, GLushort green, GLushort blue);
hidden void __indirect_glColor3usv(const GLushort *v);
hidden void __indirect_glColor4b(GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha);
hidden void __indirect_glColor4bv(const GLbyte *v);
hidden void __indirect_glColor4d(GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha);
hidden void __indirect_glColor4dv(const GLdouble *v);
hidden void __indirect_glColor4f(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha);
hidden void __indirect_glColor4fv(const GLfloat *v);
hidden void __indirect_glColor4i(GLint red, GLint green, GLint blue, GLint alpha);
hidden void __indirect_glColor4iv(const GLint *v);
hidden void __indirect_glColor4s(GLshort red, GLshort green, GLshort blue, GLshort alpha);
hidden void __indirect_glColor4sv(const GLshort *v);
hidden void __indirect_glColor4ub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha);
hidden void __indirect_glColor4ubv(const GLubyte *v);
hidden void __indirect_glColor4ui(GLuint red, GLuint green, GLuint blue, GLuint alpha);
hidden void __indirect_glColor4uiv(const GLuint *v);
hidden void __indirect_glColor4us(GLushort red, GLushort green, GLushort blue, GLushort alpha);
hidden void __indirect_glColor4usv(const GLushort *v);
hidden void __indirect_glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);
hidden void __indirect_glColorMaterial(GLenum face, GLenum mode);
hidden void __indirect_glColorPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
hidden void __indirect_glColorSubTable(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *table);
hidden void __indirect_glColorTable(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table);
hidden void __indirect_glColorTableParameterfv(GLenum target, GLenum pname, const GLfloat *params);
hidden void __indirect_glColorTableParameteriv(GLenum target, GLenum pname, const GLint *params);
hidden void __indirect_glConvolutionFilter1D(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *image);
hidden void __indirect_glConvolutionFilter2D(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image);
hidden void __indirect_glConvolutionParameterf(GLenum target, GLenum pname, GLfloat params);
hidden void __indirect_glConvolutionParameterfv(GLenum target, GLenum pname, const GLfloat *params);
hidden void __indirect_glConvolutionParameteri(GLenum target, GLenum pname, GLint params);
hidden void __indirect_glConvolutionParameteriv(GLenum target, GLenum pname, const GLint *params);
hidden void __indirect_glCopyConvolutionFilter1D(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
hidden void __indirect_glCopyConvolutionFilter2D(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height);
hidden void __indirect_glCopyColorTable(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
hidden void __indirect_glCopyColorSubTable(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width);
hidden void __indirect_glCopyPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum type);
hidden void __indirect_glCopyTexImage1D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border);
hidden void __indirect_glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);
hidden void __indirect_glCopyTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width);
hidden void __indirect_glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);
hidden void __indirect_glCopyTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);
hidden void __indirect_glCullFace(GLenum mode);
hidden void __indirect_glDeleteLists(GLuint list, GLsizei range);
hidden void __indirect_glDeleteTextures(GLsizei n, const GLuint *textures);
hidden void __indirect_glDeleteTexturesEXT(GLsizei n, const GLuint *textures);
hidden void __indirect_glDepthFunc(GLenum func);
hidden void __indirect_glDepthMask(GLboolean flag);
hidden void __indirect_glDepthRange(GLclampd zNear, GLclampd zFar);
hidden void __indirect_glDisable(GLenum cap);
hidden void __indirect_glDisableClientState(GLenum array);
hidden void __indirect_glDrawArrays(GLenum mode, GLint first, GLsizei count);
hidden void __indirect_glDrawBuffer(GLenum mode);
hidden void __indirect_glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices);
hidden void __indirect_glDrawPixels(GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image);
hidden void __indirect_glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices);
hidden void __indirect_glEdgeFlag(GLboolean flag);
hidden void __indirect_glEdgeFlagPointer(GLsizei stride, const GLvoid *pointer);
hidden void __indirect_glEdgeFlagv(const GLboolean *flag);
hidden void __indirect_glEnable(GLenum cap);
hidden void __indirect_glEnableClientState(GLenum array);
hidden void __indirect_glEnd(void);
hidden void __indirect_glEndList(void);
hidden void __indirect_glEvalCoord1d(GLdouble u);
hidden void __indirect_glEvalCoord1dv(const GLdouble *u);
hidden void __indirect_glEvalCoord1f(GLfloat u);
hidden void __indirect_glEvalCoord1fv(const GLfloat *u);
hidden void __indirect_glEvalCoord2d(GLdouble u, GLdouble v);
hidden void __indirect_glEvalCoord2dv(const GLdouble *u);
hidden void __indirect_glEvalCoord2f(GLfloat u, GLfloat v);
hidden void __indirect_glEvalCoord2fv(const GLfloat *u);
hidden void __indirect_glEvalMesh1(GLenum mode, GLint i1, GLint i2);
hidden void __indirect_glEvalMesh2(GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2);
hidden void __indirect_glEvalPoint1(GLint i);
hidden void __indirect_glEvalPoint2(GLint i, GLint j);
hidden void __indirect_glFeedbackBuffer(GLsizei size, GLenum type, GLfloat *buffer);
hidden void __indirect_glFinish(void);
hidden void __indirect_glFlush(void);
hidden void __indirect_glFogf(GLenum pname, GLfloat param);
hidden void __indirect_glFogfv(GLenum pname, const GLfloat *params);
hidden void __indirect_glFogi(GLenum pname, GLint param);
hidden void __indirect_glFogiv(GLenum pname, const GLint *params);
hidden void __indirect_glFrontFace(GLenum mode);
hidden void __indirect_glFrustum(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar);
hidden GLuint __indirect_glGenLists(GLsizei range);
hidden void __indirect_glGenTextures(GLsizei n, GLuint *textures);
hidden void __indirect_glGenTexturesEXT(GLsizei n, GLuint *textures);
hidden void __indirect_glGetBooleanv(GLenum val, GLboolean *b);
hidden void __indirect_glGetClipPlane(GLenum plane, GLdouble *equation);
hidden void __indirect_glGetColorTable(GLenum target, GLenum format, GLenum type, GLvoid *table);
hidden void __indirect_glGetColorTableParameterfv(GLenum target, GLenum pname, GLfloat *params);
hidden void __indirect_glGetColorTableParameteriv(GLenum target, GLenum pname, GLint *params);
hidden void __indirect_glGetConvolutionFilter(GLenum target, GLenum format, GLenum type, GLvoid *image);
hidden void __indirect_glGetConvolutionParameterfv(GLenum target, GLenum pname, GLfloat *params);
hidden void __indirect_glGetConvolutionParameteriv(GLenum target, GLenum pname, GLint *params);
hidden void __indirect_glGetDoublev(GLenum val, GLdouble *d);
hidden GLenum __indirect_glGetError(void);
hidden void __indirect_glGetFloatv(GLenum val, GLfloat *f);
hidden void __indirect_glGetHistogram(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values);
hidden void __indirect_glGetHistogramParameterfv(GLenum target, GLenum pname, GLfloat *params);
hidden void __indirect_glGetHistogramParameteriv(GLenum target, GLenum pname, GLint *params);
hidden void __indirect_glGetIntegerv(GLenum val, GLint *i);
hidden void __indirect_glGetLightfv(GLenum light, GLenum pname, GLfloat *params);
hidden void __indirect_glGetLightiv(GLenum light, GLenum pname, GLint *params);
hidden void __indirect_glGetMapdv(GLenum target, GLenum query, GLdouble *v);
hidden void __indirect_glGetMapfv(GLenum target, GLenum query, GLfloat *v);
hidden void __indirect_glGetMapiv(GLenum target, GLenum query, GLint *v);
hidden void __indirect_glGetMaterialfv(GLenum face, GLenum pname, GLfloat *params);
hidden void __indirect_glGetMaterialiv(GLenum face, GLenum pname, GLint *params);
hidden void __indirect_glGetMinmax(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values);
hidden void __indirect_glGetMinmaxParameterfv(GLenum target, GLenum pname, GLfloat *params);
hidden void __indirect_glGetMinmaxParameteriv(GLenum target, GLenum pname, GLint *params);
hidden void __indirect_glGetPixelMapfv(GLenum map, GLfloat *values);
hidden void __indirect_glGetPixelMapuiv(GLenum map, GLuint *values);
hidden void __indirect_glGetPixelMapusv(GLenum map, GLushort *values);
hidden void __indirect_glGetPointerv(GLenum pname, void **params);
hidden void __indirect_glGetPolygonStipple(GLubyte *mask);
hidden const GLubyte *__indirect_glGetString(GLenum name);
hidden void __indirect_glGetSeparableFilter(GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span);
hidden void __indirect_glGetTexEnvfv(GLenum target, GLenum pname, GLfloat *params);
hidden void __indirect_glGetTexEnviv(GLenum target, GLenum pname, GLint *params);
hidden void __indirect_glGetTexGendv(GLenum coord, GLenum pname, GLdouble *params);
hidden void __indirect_glGetTexGenfv(GLenum coord, GLenum pname, GLfloat *params);
hidden void __indirect_glGetTexGeniv(GLenum coord, GLenum pname, GLint *params);
hidden void __indirect_glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid *texels);
hidden void __indirect_glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat *params);
hidden void __indirect_glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint *params);
hidden void __indirect_glGetTexParameterfv(GLenum target, GLenum pname, GLfloat *params);
hidden void __indirect_glGetTexParameteriv(GLenum target, GLenum pname, GLint *params);
hidden void __indirect_glHint(GLenum target, GLenum mode);
hidden void __indirect_glHistogram(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink);
hidden void __indirect_glIndexMask(GLuint mask);
hidden void __indirect_glIndexPointer(GLenum type, GLsizei stride, const GLvoid *pointer);
hidden void __indirect_glIndexd(GLdouble c);
hidden void __indirect_glIndexdv(const GLdouble *c);
hidden void __indirect_glIndexf(GLfloat c);
hidden void __indirect_glIndexfv(const GLfloat *c);
hidden void __indirect_glIndexi(GLint c);
hidden void __indirect_glIndexiv(const GLint *c);
hidden void __indirect_glIndexs(GLshort c);
hidden void __indirect_glIndexsv(const GLshort *c);
hidden void __indirect_glIndexub(GLubyte c);
hidden void __indirect_glIndexubv(const GLubyte *c);
hidden void __indirect_glInitNames(void);
hidden void __indirect_glInterleavedArrays(GLenum format, GLsizei stride, const GLvoid *pointer);
hidden GLboolean __indirect_glIsEnabled(GLenum cap);
hidden GLboolean __indirect_glIsList(GLuint list);
hidden GLboolean __indirect_glIsTexture(GLuint texture);
hidden GLboolean __indirect_glIsTextureEXT(GLuint texture);
hidden void __indirect_glLightModelf(GLenum pname, GLfloat param);
hidden void __indirect_glLightModelfv(GLenum pname, const GLfloat *params);
hidden void __indirect_glLightModeli(GLenum pname, GLint param);
hidden void __indirect_glLightModeliv(GLenum pname, const GLint *params);
hidden void __indirect_glLightf(GLenum light, GLenum pname, GLfloat param);
hidden void __indirect_glLightfv(GLenum light, GLenum pname, const GLfloat *params);
hidden void __indirect_glLighti(GLenum light, GLenum pname, GLint param);
hidden void __indirect_glLightiv(GLenum light, GLenum pname, const GLint *params);
hidden void __indirect_glLineStipple(GLint factor, GLushort pattern);
hidden void __indirect_glLineWidth(GLfloat width);
hidden void __indirect_glListBase(GLuint base);
hidden void __indirect_glLoadIdentity(void);
hidden void __indirect_glLoadMatrixd(const GLdouble *m);
hidden void __indirect_glLoadMatrixf(const GLfloat *m);
hidden void __indirect_glLoadName(GLuint name);
hidden void __indirect_glLogicOp(GLenum opcode);
hidden void __indirect_glMap1d(GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *pnts);
hidden void __indirect_glMap1f(GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *pnts);
hidden void __indirect_glMap2d(GLenum target, GLdouble u1, GLdouble u2, GLint ustr, GLint uord, GLdouble v1, GLdouble v2, GLint vstr, GLint vord, const GLdouble *pnts);
hidden void __indirect_glMap2f(GLenum target, GLfloat u1, GLfloat u2, GLint ustr, GLint uord, GLfloat v1, GLfloat v2, GLint vstr, GLint vord, const GLfloat *pnts);
hidden void __indirect_glMapGrid1d(GLint un, GLdouble u1, GLdouble u2);
hidden void __indirect_glMapGrid1f(GLint un, GLfloat u1, GLfloat u2);
hidden void __indirect_glMapGrid2d(GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2);
hidden void __indirect_glMapGrid2f(GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2);
hidden void __indirect_glMaterialf(GLenum face, GLenum pname, GLfloat param);
hidden void __indirect_glMaterialfv(GLenum face, GLenum pname, const GLfloat *params);
hidden void __indirect_glMateriali(GLenum face, GLenum pname, GLint param);
hidden void __indirect_glMaterialiv(GLenum face, GLenum pname, const GLint *params);
hidden void __indirect_glMatrixMode(GLenum mode);
hidden void __indirect_glMinmax(GLenum target, GLenum internalformat, GLboolean sink);
hidden void __indirect_glMultMatrixd(const GLdouble *m);
hidden void __indirect_glMultMatrixf(const GLfloat *m);
hidden void __indirect_glNewList(GLuint list, GLenum mode);
hidden void __indirect_glNormal3b(GLbyte nx, GLbyte ny, GLbyte nz);
hidden void __indirect_glNormal3bv(const GLbyte *v);
hidden void __indirect_glNormal3d(GLdouble nx, GLdouble ny, GLdouble nz);
hidden void __indirect_glNormal3dv(const GLdouble *v);
hidden void __indirect_glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz);
hidden void __indirect_glNormal3fv(const GLfloat *v);
hidden void __indirect_glNormal3i(GLint nx, GLint ny, GLint nz);
hidden void __indirect_glNormal3iv(const GLint *v);
hidden void __indirect_glNormal3s(GLshort nx, GLshort ny, GLshort nz);
hidden void __indirect_glNormal3sv(const GLshort *v);
hidden void __indirect_glNormalPointer(GLenum type, GLsizei stride, const GLvoid *pointer);
hidden void __indirect_glOrtho(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar);
hidden void __indirect_glPassThrough(GLfloat token);
hidden void __indirect_glPixelMapfv(GLenum map, GLint mapsize, const GLfloat *values);
hidden void __indirect_glPixelMapuiv(GLenum map, GLint mapsize, const GLuint *values);
hidden void __indirect_glPixelMapusv(GLenum map, GLint mapsize, const GLushort *values);
hidden void __indirect_glPixelStoref(GLenum pname, GLfloat param);
hidden void __indirect_glPixelStorei(GLenum pname, GLint param);
hidden void __indirect_glPixelTransferf(GLenum pname, GLfloat param);
hidden void __indirect_glPixelTransferi(GLenum pname, GLint param);
hidden void __indirect_glPixelZoom(GLfloat xfactor, GLfloat yfactor);
hidden void __indirect_glPointSize(GLfloat size);
hidden void __indirect_glPolygonMode(GLenum face, GLenum mode);
hidden void __indirect_glPolygonOffset(GLfloat factor, GLfloat units);
hidden void __indirect_glPolygonStipple(const GLubyte *mask);
hidden void __indirect_glPopAttrib(void);
hidden void __indirect_glPopClientAttrib(void);
hidden void __indirect_glPopMatrix(void);
hidden void __indirect_glPopName(void);
hidden void __indirect_glPrioritizeTextures(GLsizei n, const GLuint *textures, const GLclampf *priorities);
hidden void __indirect_glPushAttrib(GLbitfield mask);
hidden void __indirect_glPushClientAttrib(GLuint mask);
hidden void __indirect_glPushMatrix(void);
hidden void __indirect_glPushName(GLuint name);
hidden void __indirect_glRasterPos2d(GLdouble x, GLdouble y);
hidden void __indirect_glRasterPos2dv(const GLdouble *v);
hidden void __indirect_glRasterPos2f(GLfloat x, GLfloat y);
hidden void __indirect_glRasterPos2fv(const GLfloat *v);
hidden void __indirect_glRasterPos2i(GLint x, GLint y);
hidden void __indirect_glRasterPos2iv(const GLint *v);
hidden void __indirect_glRasterPos2s(GLshort x, GLshort y);
hidden void __indirect_glRasterPos2sv(const GLshort *v);
hidden void __indirect_glRasterPos3d(GLdouble x, GLdouble y, GLdouble z);
hidden void __indirect_glRasterPos3dv(const GLdouble *v);
hidden void __indirect_glRasterPos3f(GLfloat x, GLfloat y, GLfloat z);
hidden void __indirect_glRasterPos3fv(const GLfloat *v);
hidden void __indirect_glRasterPos3i(GLint x, GLint y, GLint z);
hidden void __indirect_glRasterPos3iv(const GLint *v);
hidden void __indirect_glRasterPos3s(GLshort x, GLshort y, GLshort z);
hidden void __indirect_glRasterPos3sv(const GLshort *v);
hidden void __indirect_glRasterPos4d(GLdouble x, GLdouble y, GLdouble z, GLdouble w);
hidden void __indirect_glRasterPos4dv(const GLdouble *v);
hidden void __indirect_glRasterPos4f(GLfloat x, GLfloat y, GLfloat z, GLfloat w);
hidden void __indirect_glRasterPos4fv(const GLfloat *v);
hidden void __indirect_glRasterPos4i(GLint x, GLint y, GLint z, GLint w);
hidden void __indirect_glRasterPos4iv(const GLint *v);
hidden void __indirect_glRasterPos4s(GLshort x, GLshort y, GLshort z, GLshort w);
hidden void __indirect_glRasterPos4sv(const GLshort *v);
hidden void __indirect_glReadBuffer(GLenum mode);
hidden void __indirect_glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels);
hidden void __indirect_glRectd(GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2);
hidden void __indirect_glRectdv(const GLdouble *v1, const GLdouble *v2);
hidden void __indirect_glRectf(GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2);
hidden void __indirect_glRectfv(const GLfloat *v1, const GLfloat *v2);
hidden void __indirect_glRecti(GLint x1, GLint y1, GLint x2, GLint y2);
hidden void __indirect_glRectiv(const GLint *v1, const GLint *v2);
hidden void __indirect_glRects(GLshort x1, GLshort y1, GLshort x2, GLshort y2);
hidden void __indirect_glRectsv(const GLshort *v1, const GLshort *v2);
hidden GLint __indirect_glRenderMode(GLenum mode);
hidden void __indirect_glResetHistogram(GLenum target);
hidden void __indirect_glResetMinmax(GLenum target);
hidden void __indirect_glRotated(GLdouble angle, GLdouble x, GLdouble y, GLdouble z);
hidden void __indirect_glRotatef(GLfloat angle, GLfloat x, GLfloat y, GLfloat z);
hidden void __indirect_glScaled(GLdouble x, GLdouble y, GLdouble z);
hidden void __indirect_glScalef(GLfloat x, GLfloat y, GLfloat z);
hidden void __indirect_glScissor(GLint x, GLint y, GLsizei width, GLsizei height);
hidden void __indirect_glSelectBuffer(GLsizei numnames, GLuint *buffer);
hidden void __indirect_glSeparableFilter2D(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column);
hidden void __indirect_glShadeModel(GLenum mode);
hidden void __indirect_glStencilFunc(GLenum func, GLint ref, GLuint mask);
hidden void __indirect_glStencilMask(GLuint mask);
hidden void __indirect_glStencilOp(GLenum fail, GLenum zfail, GLenum zpass);
hidden void __indirect_glTexCoord1d(GLdouble s);
hidden void __indirect_glTexCoord1dv(const GLdouble *v);
hidden void __indirect_glTexCoord1f(GLfloat s);
hidden void __indirect_glTexCoord1fv(const GLfloat *v);
hidden void __indirect_glTexCoord1i(GLint s);
hidden void __indirect_glTexCoord1iv(const GLint *v);
hidden void __indirect_glTexCoord1s(GLshort s);
hidden void __indirect_glTexCoord1sv(const GLshort *v);
hidden void __indirect_glTexCoord2d(GLdouble s, GLdouble t);
hidden void __indirect_glTexCoord2dv(const GLdouble *v);
hidden void __indirect_glTexCoord2f(GLfloat s, GLfloat t);
hidden void __indirect_glTexCoord2fv(const GLfloat *v);
hidden void __indirect_glTexCoord2i(GLint s, GLint t);
hidden void __indirect_glTexCoord2iv(const GLint *v);
hidden void __indirect_glTexCoord2s(GLshort s, GLshort t);
hidden void __indirect_glTexCoord2sv(const GLshort *v);
hidden void __indirect_glTexCoord3d(GLdouble s, GLdouble t, GLdouble r);
hidden void __indirect_glTexCoord3dv(const GLdouble *v);
hidden void __indirect_glTexCoord3f(GLfloat s, GLfloat t, GLfloat r);
hidden void __indirect_glTexCoord3fv(const GLfloat *v);
hidden void __indirect_glTexCoord3i(GLint s, GLint t, GLint r);
hidden void __indirect_glTexCoord3iv(const GLint *v);
hidden void __indirect_glTexCoord3s(GLshort s, GLshort t, GLshort r);
hidden void __indirect_glTexCoord3sv(const GLshort *v);
hidden void __indirect_glTexCoord4d(GLdouble s, GLdouble t, GLdouble r, GLdouble q);
hidden void __indirect_glTexCoord4dv(const GLdouble *v);
hidden void __indirect_glTexCoord4f(GLfloat s, GLfloat t, GLfloat r, GLfloat q);
hidden void __indirect_glTexCoord4fv(const GLfloat *v);
hidden void __indirect_glTexCoord4i(GLint s, GLint t, GLint r, GLint q);
hidden void __indirect_glTexCoord4iv(const GLint *v);
hidden void __indirect_glTexCoord4s(GLshort s, GLshort t, GLshort r, GLshort q);
hidden void __indirect_glTexCoord4sv(const GLshort *v);
hidden void __indirect_glTexCoordPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
hidden void __indirect_glTexEnvf(GLenum target, GLenum pname, GLfloat param);
hidden void __indirect_glTexEnvfv(GLenum target, GLenum pname, const GLfloat *params);
hidden void __indirect_glTexEnvi(GLenum target, GLenum pname, GLint param);
hidden void __indirect_glTexEnviv(GLenum target, GLenum pname, const GLint *params);
hidden void __indirect_glTexGend(GLenum coord, GLenum pname, GLdouble param);
hidden void __indirect_glTexGendv(GLenum coord, GLenum pname, const GLdouble *params);
hidden void __indirect_glTexGenf(GLenum coord, GLenum pname, GLfloat param);
hidden void __indirect_glTexGenfv(GLenum coord, GLenum pname, const GLfloat *params);
hidden void __indirect_glTexGeni(GLenum coord, GLenum pname, GLint param);
hidden void __indirect_glTexGeniv(GLenum coord, GLenum pname, const GLint *params);
hidden void __indirect_glTexImage1D(GLenum target, GLint level, GLint components, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *image);
hidden void __indirect_glTexImage2D(GLenum target, GLint level, GLint components, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *image);
hidden void __indirect_glTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *image);
hidden void __indirect_glTexParameterf(GLenum target, GLenum pname, GLfloat param);
hidden void __indirect_glTexParameterfv(GLenum target, GLenum pname, const GLfloat *params);
hidden void __indirect_glTexParameteri(GLenum target, GLenum pname, GLint param);
hidden void __indirect_glTexParameteriv(GLenum target, GLenum pname, const GLint *params);
hidden void __indirect_glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *image);
hidden void __indirect_glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image);
hidden void __indirect_glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *image);
hidden void __indirect_glTranslated(GLdouble x, GLdouble y, GLdouble z);
hidden void __indirect_glTranslatef(GLfloat x, GLfloat y, GLfloat z);
hidden void __indirect_glVertex2d(GLdouble x, GLdouble y);
hidden void __indirect_glVertex2dv(const GLdouble *v);
hidden void __indirect_glVertex2f(GLfloat x, GLfloat y);
hidden void __indirect_glVertex2fv(const GLfloat *v);
hidden void __indirect_glVertex2i(GLint x, GLint y);
hidden void __indirect_glVertex2iv(const GLint *v);
hidden void __indirect_glVertex2s(GLshort x, GLshort y);
hidden void __indirect_glVertex2sv(const GLshort *v);
hidden void __indirect_glVertex3d(GLdouble x, GLdouble y, GLdouble z);
hidden void __indirect_glVertex3dv(const GLdouble *v);
hidden void __indirect_glVertex3f(GLfloat x, GLfloat y, GLfloat z);
hidden void __indirect_glVertex3fv(const GLfloat *v);
hidden void __indirect_glVertex3i(GLint x, GLint y, GLint z);
hidden void __indirect_glVertex3iv(const GLint *v);
hidden void __indirect_glVertex3s(GLshort x, GLshort y, GLshort z);
hidden void __indirect_glVertex3sv(const GLshort *v);
hidden void __indirect_glVertex4d(GLdouble x, GLdouble y, GLdouble z, GLdouble w);
hidden void __indirect_glVertex4dv(const GLdouble *v);
hidden void __indirect_glVertex4f(GLfloat x, GLfloat y, GLfloat z, GLfloat w);
hidden void __indirect_glVertex4fv(const GLfloat *v);
hidden void __indirect_glVertex4i(GLint x, GLint y, GLint z, GLint w);
hidden void __indirect_glVertex4iv(const GLint *v);
hidden void __indirect_glVertex4s(GLshort x, GLshort y, GLshort z, GLshort w);
hidden void __indirect_glVertex4sv(const GLshort *v);
hidden void __indirect_glVertexPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
hidden void __indirect_glViewport(GLint x, GLint y, GLsizei width, GLsizei height);


hidden void __indirect_glActiveTextureARB(GLenum texture);
hidden void __indirect_glClientActiveTextureARB(GLenum texture);
hidden void __indirect_glMultiTexCoord1dARB(GLenum target, GLdouble s);
hidden void __indirect_glMultiTexCoord1dvARB(GLenum target, const GLdouble *v);
hidden void __indirect_glMultiTexCoord1fARB(GLenum target, GLfloat s);
hidden void __indirect_glMultiTexCoord1fvARB(GLenum target, const GLfloat *v);
hidden void __indirect_glMultiTexCoord1iARB(GLenum target, GLint s);
hidden void __indirect_glMultiTexCoord1ivARB(GLenum target, const GLint *v);
hidden void __indirect_glMultiTexCoord1sARB(GLenum target, GLshort s);
hidden void __indirect_glMultiTexCoord1svARB(GLenum target, const GLshort *v);
hidden void __indirect_glMultiTexCoord2dARB(GLenum target, GLdouble s, GLdouble t);
hidden void __indirect_glMultiTexCoord2dvARB(GLenum target, const GLdouble *v);
hidden void __indirect_glMultiTexCoord2fARB(GLenum target, GLfloat s, GLfloat t);
hidden void __indirect_glMultiTexCoord2fvARB(GLenum target, const GLfloat *v);
hidden void __indirect_glMultiTexCoord2iARB(GLenum target, GLint s, GLint t);
hidden void __indirect_glMultiTexCoord2ivARB(GLenum target, const GLint *v);
hidden void __indirect_glMultiTexCoord2sARB(GLenum target, GLshort s, GLshort t);
hidden void __indirect_glMultiTexCoord2svARB(GLenum target, const GLshort *v);
hidden void __indirect_glMultiTexCoord3dARB(GLenum target, GLdouble s, GLdouble t, GLdouble r);
hidden void __indirect_glMultiTexCoord3dvARB(GLenum target, const GLdouble *v);
hidden void __indirect_glMultiTexCoord3fARB(GLenum target, GLfloat s, GLfloat t, GLfloat r);
hidden void __indirect_glMultiTexCoord3fvARB(GLenum target, const GLfloat *v);
hidden void __indirect_glMultiTexCoord3iARB(GLenum target, GLint s, GLint t, GLint r);
hidden void __indirect_glMultiTexCoord3ivARB(GLenum target, const GLint *v);
hidden void __indirect_glMultiTexCoord3sARB(GLenum target, GLshort s, GLshort t, GLshort r);
hidden void __indirect_glMultiTexCoord3svARB(GLenum target, const GLshort *v);
hidden void __indirect_glMultiTexCoord4dARB(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);
hidden void __indirect_glMultiTexCoord4dvARB(GLenum target, const GLdouble *v);
hidden void __indirect_glMultiTexCoord4fARB(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);
hidden void __indirect_glMultiTexCoord4fvARB(GLenum target, const GLfloat *v);
hidden void __indirect_glMultiTexCoord4iARB(GLenum target, GLint s, GLint t, GLint r, GLint q);
hidden void __indirect_glMultiTexCoord4ivARB(GLenum target, const GLint *v);
hidden void __indirect_glMultiTexCoord4sARB(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q);
hidden void __indirect_glMultiTexCoord4svARB(GLenum target, const GLshort *v);


hidden void __indirect_glLoadTransposeMatrixfARB(const GLfloat *m);
hidden void __indirect_glMultTransposeMatrixfARB(const GLfloat *m);
hidden void __indirect_glLoadTransposeMatrixdARB(const GLdouble *m);
hidden void __indirect_glMultTransposeMatrixdARB(const GLdouble *m);

#endif /* _INDIRECT_H_ */
